# Meal Plan Day

The `mealPlanDay` object returns the information of the meal plan generated.&#x20;

## List of Fields

<table><thead><tr><th width="213.33333333333331" align="center">Field Name</th><th align="center">Is required?</th><th width="164" align="center">Type</th><th align="center">Description</th></tr></thead><tbody><tr><td align="center"><strong>Field Name</strong></td><td align="center"><strong>Is required?</strong></td><td align="center"><strong>Type</strong></td><td align="center"><strong>Description</strong></td></tr><tr><td align="center"><code>id</code></td><td align="center">Yes</td><td align="center">ID</td><td align="center">Meal Plan Day Base-64 ID. </td></tr><tr><td align="center"><code>calories</code></td><td align="center">No</td><td align="center">Float</td><td align="center">Total calories (in Kcal) for the day</td></tr><tr><td align="center"><code>date</code></td><td align="center">No</td><td align="center">String</td><td align="center">Date assigned to the "day" of the meal plan</td></tr><tr><td align="center"><code>day</code></td><td align="center">No</td><td align="center">Int</td><td align="center">Number of days in the returned meal plan</td></tr><tr><td align="center"><code>meals</code></td><td align="center">No</td><td align="center"><a href="https://docs.suggestic.com/graphql/objects/meal-plan/meal">Meal</a></td><td align="center">A <a href="https://docs.suggestic.com/graphql/objects/recipe">Recipe</a> along with the total calories of the meal, name of the meal, and amount of recommended servings</td></tr></tbody></table>

Use this in the following:

* [`generateMealPlan`](https://docs.suggestic.com/graphql/query/mutations/meal-plan/generate-meal-plan) mutation&#x20;
* [`searchProfile`](/graphql/query/search/search-profile.md) query


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/meal-plan/meal-plan-day.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
